## org.eclipse.emf.edit.ui.dnd
Class EditingDomainViewerDropAdapter.DragAndDropCommandInformation

    java.lang.Object
      org.eclipse.emf.edit.ui.dnd.EditingDomainViewerDropAdapter.DragAndDropCommandInformation

Enclosing class:
  EditingDomainViewerDropAdapter

    protected static class EditingDomainViewerDropAdapter.DragAndDropCommandInformation

extends java.lang.Object

This holds all of the information used to create a `DragAndDropCommand`, but does not need to be disposed.

Field Summary
`protected EditingDomain` `domain`
`protected float` `location`
`protected int` `operation`
`protected int` `operations`
`protected java.util.Collection<?>` `source`
`protected java.lang.Object` `target`

Constructor Summary
`EditingDomainViewerDropAdapter.DragAndDropCommandInformation(EditingDomain domain, java.lang.Object target, float location, int operations, int operation, java.util.Collection<?> source)`

Method Summary
`Command` `createCommand()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### domain

    protected EditingDomain domain

### target

    protected java.lang.Object target

### location

    protected float location

### operations

    protected int operations

### operation

    protected int operation

### source

    protected java.util.Collection<?> source

Constructor Detail

### EditingDomainViewerDropAdapter.DragAndDropCommandInformation

    public EditingDomainViewerDropAdapter.DragAndDropCommandInformation(EditingDomain domain,
                                                                        java.lang.Object target,
                                                                        float location,
                                                                        int operations,
                                                                        int operation,
                                                                        java.util.Collection<?> source)

Method Detail

### createCommand

    public Command createCommand()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.